import { GraphWidget, HorizontalAnnotation, IWidget } from "monocdk/aws-cloudwatch";
import { BaseMonitoringProps, DaysToExpiryThreshold, MetricWithAlarmSupport, Monitoring, MonitoringScope } from "../../common";
import { MonitoringHeaderWidget } from "../../dashboard";
import { CertificateManagerMetricFactoryProps } from "./CertificateManagerMetricFactory";
export interface CertificateManagerMonitoringProps extends BaseMonitoringProps, CertificateManagerMetricFactoryProps {
    readonly addDaysToExpiryAlarm?: Record<string, DaysToExpiryThreshold>;
}
export declare class CertificateManagerMonitoring extends Monitoring {
    protected readonly title: string;
    protected readonly daysToExpiryAnnotations: HorizontalAnnotation[];
    protected readonly daysToExpiryMetric: MetricWithAlarmSupport;
    constructor(scope: MonitoringScope, props: CertificateManagerMonitoringProps);
    summaryWidgets(): IWidget[];
    widgets(): IWidget[];
    protected createTitleWidget(): MonitoringHeaderWidget;
    protected createDaysToExpiryWidget(width: number, height: number): GraphWidget;
}
