import { IHttpApi } from "monocdk/aws-apigatewayv2";
import { DimensionHash } from "monocdk/aws-cloudwatch";
import { MetricFactory, RateComputationMethod } from "../../common";
export interface ApiGatewayV2HttpApiMetricFactoryProps {
    readonly api: IHttpApi;
    /**
     * @default $default
     */
    readonly apiStage?: string;
    /**
     * On undefined value is not set in dimensions
     */
    readonly apiMethod?: string;
    /**
     * On undefined value is not set in dimensions
     */
    readonly apiResource?: string;
    /**
     * @default true
     */
    readonly fillTpsWithZeroes?: boolean;
    /**
     * @default average
     */
    readonly rateComputationMethod?: RateComputationMethod;
}
export declare class ApiGatewayV2HttpApiMetricFactory {
    protected readonly metricFactory: MetricFactory;
    protected readonly fillTpsWithZeroes: boolean;
    protected readonly rateComputationMethod: RateComputationMethod;
    protected readonly dimensions: DimensionHash;
    constructor(metricFactory: MetricFactory, props: ApiGatewayV2HttpApiMetricFactoryProps);
    metricTps(): import("../../common").MetricWithAlarmSupport;
    metricInvocationCount(): import("../../common").MetricWithAlarmSupport;
    metric4xxCount(): import("../../common").MetricWithAlarmSupport;
    metric4xxRate(): import("../../common").MetricWithAlarmSupport;
    metric5xxCount(): import("../../common").MetricWithAlarmSupport;
    metric5xxRate(): import("../../common").MetricWithAlarmSupport;
    metricLatencyP50InMillis(): import("../../common").MetricWithAlarmSupport;
    metricLatencyP90InMillis(): import("../../common").MetricWithAlarmSupport;
    metricLatencyP99InMillis(): import("../../common").MetricWithAlarmSupport;
    metricIntegrationLatencyP50InMillis(): import("../../common").MetricWithAlarmSupport;
    metricIntegrationLatencyP90InMillis(): import("../../common").MetricWithAlarmSupport;
    metricIntegrationLatencyP99InMillis(): import("../../common").MetricWithAlarmSupport;
}
