import { GraphWidget, IWidget } from "monocdk/aws-cloudwatch";
import { BaseMonitoringProps, MetricWithAlarmSupport, Monitoring, MonitoringScope } from "../../common";
import { MonitoringHeaderWidget } from "../../dashboard";
import { CloudFrontDistributionMetricFactoryProps } from "./CloudFrontDistributionMetricFactory";
export interface CloudFrontDistributionMonitoringProps extends CloudFrontDistributionMetricFactoryProps, BaseMonitoringProps {
}
export declare class CloudFrontDistributionMonitoring extends Monitoring {
    private readonly title;
    private readonly distributionUrl?;
    protected readonly tpsMetric: MetricWithAlarmSupport;
    protected readonly downloadedBytesMetric: MetricWithAlarmSupport;
    protected readonly uploadedBytesMetric: MetricWithAlarmSupport;
    protected readonly cacheHitRate: MetricWithAlarmSupport;
    protected readonly error4xxRate: MetricWithAlarmSupport;
    protected readonly error5xxRate: MetricWithAlarmSupport;
    constructor(scope: MonitoringScope, props: CloudFrontDistributionMonitoringProps);
    summaryWidgets(): IWidget[];
    widgets(): IWidget[];
    protected createTitleWidget(): MonitoringHeaderWidget;
    protected createTpsWidget(width: number, height: number): GraphWidget;
    protected createCacheWidget(width: number, height: number): GraphWidget;
    protected createTrafficWidget(width: number, height: number): GraphWidget;
    protected createErrorRateWidget(width: number, height: number): GraphWidget;
}
