import { GraphWidget, IWidget } from "monocdk/aws-cloudwatch";
import { BaseMonitoringProps, MetricWithAlarmSupport, Monitoring, MonitoringScope } from "../../common";
import { MonitoringHeaderWidget } from "../../dashboard";
export interface GlueJobMonitoringProps extends BaseMonitoringProps {
    readonly jobName: string;
}
export declare class GlueJobMonitoring extends Monitoring {
    protected readonly title: string;
    protected readonly bytesReadFromS3Metric: MetricWithAlarmSupport;
    protected readonly bytesWrittenToS3Metric: MetricWithAlarmSupport;
    protected readonly cpuUsageMetric: MetricWithAlarmSupport;
    protected readonly heapMemoryUsageMetric: MetricWithAlarmSupport;
    protected readonly activeExecutorsMetric: MetricWithAlarmSupport;
    protected readonly completedStagesMetric: MetricWithAlarmSupport;
    protected readonly neededExecutorsMetric: MetricWithAlarmSupport;
    constructor(scope: MonitoringScope, props: GlueJobMonitoringProps);
    summaryWidgets(): IWidget[];
    widgets(): IWidget[];
    protected createTitleWidget(): MonitoringHeaderWidget;
    protected createJobExecutionWidget(width: number, height: number): GraphWidget;
    protected createDataMovementWidget(width: number, height: number): GraphWidget;
    protected createUtilizationWidget(width: number, height: number): GraphWidget;
    protected createCpuUtilizationWidget(width: number, height: number): GraphWidget;
    protected createMemoryUtilizationWidget(width: number, height: number): GraphWidget;
}
