import { DimensionHash } from "monocdk/aws-cloudwatch";
import { MetricFactory } from "../../common";
export interface KinesisFirehoseMetricFactoryProps {
    readonly deliveryStreamName: string;
}
/**
 * @see https://docs.aws.amazon.com/firehose/latest/dev/monitoring-with-cloudwatch-metrics.html
 */
export declare class KinesisFirehoseMetricFactory {
    protected readonly metricFactory: MetricFactory;
    protected readonly dimensions: DimensionHash;
    constructor(metricFactory: MetricFactory, props: KinesisFirehoseMetricFactoryProps);
    metricSuccessfulConversionCount(): import("../../common").MetricWithAlarmSupport;
    metricFailedConversionCount(): import("../../common").MetricWithAlarmSupport;
    metricIncomingBytes(): import("../../common").MetricWithAlarmSupport;
    metricIncomingRecordCount(): import("../../common").MetricWithAlarmSupport;
    metricThrottledRecordCount(): import("../../common").MetricWithAlarmSupport;
    metricPutRecordLatencyP90InMillis(): import("../../common").MetricWithAlarmSupport;
    metricPutRecordBatchLatencyP90InMillis(): import("../../common").MetricWithAlarmSupport;
}
