import { GraphWidget, IWidget } from "monocdk/aws-cloudwatch";
import { BaseMonitoringProps, MetricWithAlarmSupport, Monitoring, MonitoringScope } from "../../common";
import { MonitoringHeaderWidget } from "../../dashboard";
import { KinesisFirehoseMetricFactoryProps } from "./KinesisFirehoseMetricFactory";
export interface KinesisFirehoseMonitoringProps extends KinesisFirehoseMetricFactoryProps, BaseMonitoringProps {
}
export declare class KinesisFirehoseMonitoring extends Monitoring {
    protected readonly title: string;
    protected readonly streamUrl?: string;
    protected readonly incomingBytesMetric: MetricWithAlarmSupport;
    protected readonly incomingRecordsMetric: MetricWithAlarmSupport;
    protected readonly throttledRecordsMetric: MetricWithAlarmSupport;
    protected readonly successfulConversionMetric: MetricWithAlarmSupport;
    protected readonly failedConversionMetric: MetricWithAlarmSupport;
    protected readonly putRecordLatency: MetricWithAlarmSupport;
    protected readonly putRecordBatchLatency: MetricWithAlarmSupport;
    constructor(scope: MonitoringScope, props: KinesisFirehoseMonitoringProps);
    summaryWidgets(): IWidget[];
    widgets(): IWidget[];
    protected createTitleWidget(): MonitoringHeaderWidget;
    protected createIncomingRecordWidget(width: number, height: number): GraphWidget;
    protected createLatencyWidget(width: number, height: number): GraphWidget;
    protected createConversionWidget(width: number, height: number): GraphWidget;
}
