import { DimensionHash } from "monocdk/aws-cloudwatch";
import { MetricFactory } from "../../common";
export interface RedshiftClusterMetricFactoryProps {
    readonly clusterIdentifier: string;
}
export declare class RedshiftClusterMetricFactory {
    protected readonly metricFactory: MetricFactory;
    protected readonly dimensions: DimensionHash;
    constructor(metricFactory: MetricFactory, props: RedshiftClusterMetricFactoryProps);
    metricTotalConnectionCount(): import("../../common").MetricWithAlarmSupport;
    metricAverageDiskSpaceUsageInPercent(): import("../../common").MetricWithAlarmSupport;
    metricAverageCpuUsageInPercent(): import("../../common").MetricWithAlarmSupport;
    metricShortQueryDurationP90InMillis(): import("../../common").MetricWithAlarmSupport;
    metricMediumQueryDurationP90InMillis(): import("../../common").MetricWithAlarmSupport;
    metricLongQueryDurationP90InMillis(): import("../../common").MetricWithAlarmSupport;
    metricMaintenanceModeEnabled(): import("../../common").MetricWithAlarmSupport;
    metricReadLatencyP90InMillis(): import("../../common").MetricWithAlarmSupport;
    metricWriteLatencyP90InMillis(): import("../../common").MetricWithAlarmSupport;
    private metricQueryDuration;
    private metric;
}
