import { DimensionHash } from "monocdk/aws-cloudwatch";
import { ISecret } from "monocdk/aws-secretsmanager";
import { MetricFactory } from "../../common";
export interface SecretsManagerSecretMetricFactoryProps {
    readonly secret: ISecret;
}
export declare class SecretsManagerSecretMetricFactory {
    static readonly Namespace = "SecretsManager";
    static readonly MetricNameDaysSinceLastChange = "DaysSinceLastChange";
    static readonly MetricNameDaysSinceLastRotation = "DaysSinceLastRotation";
    protected readonly metricFactory: MetricFactory;
    protected readonly dimensions: DimensionHash;
    protected readonly secret: ISecret;
    constructor(metricFactory: MetricFactory, props: SecretsManagerSecretMetricFactoryProps);
    private ensureParseOwnedSecretName;
    metricDaysSinceLastChange(): import("../../common").MetricWithAlarmSupport;
    metricDaysSinceLastRotation(): import("../../common").MetricWithAlarmSupport;
}
